.\"	$NetBSD: isv.4,v 1.3 2009/10/19 23:28:02 dyoung Exp $
.\"
.\" Copyright (c) 2008 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD
.\" Foundation by David Young.
.\"
.\" Redistribution and use in source and binary forms, with or
.\" without modification, are permitted provided that the following
.\" conditions are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above
.\"    copyright notice, this list of conditions and the following
.\"    disclaimer in the documentation and/or other materials
.\"    provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd April 1, 2008
.Dt isv 4
.Os
.Sh NAME
.Nm isv
.Nd IDEC Supervision/16 image capture board
.Sh SYNOPSIS
.Cd "isv0 at isa? port 0x2f0"
.Cd "isv0 at isa? port 0x2e0"
.Cd "isv0 at isa? port 0x3f0"
.Cd "isv0 at isa? port 0x3e0"
.Sh DESCRIPTION
.Pp
.Nm
is a driver for the IDEC Supervision/16, an image capture board
that plugs into a 16-bit ISA bus.
The IDEC Supervision/16 digitizes an NTSC television signal, storing
a 512 x 480-pixel, 8-bit grayscale image in its 256kB dynamic RAM array
every 1/30th of a second.
The host reads frames from the DRAM using 122881 16-bit I/O reads.
Reading frames from the Supervision/16 is quite slow:
after the host reads a 16-bit word from the DRAM, the Supervision/16
state machine takes approximately 0.5 microseconds to get ready
for the next read.
Theoretically, a frame rate of approximately 10 frames per second
is possible.
.Nm
achieves a frame rate of approximately 6 frames per second.
.Pp
.Sh SEE ALSO
.Xr isvctl 8
.Rs
.%R Programming the Supervision/16 Image Capture Board
.%Q IDEC
.%D circa 1991
.Re
.Sh HISTORY
The
.Nm
device first appeared in
.Nx 5.0 .
.Sh AUTHORS
The
.Nm
driver was written by
.An David Young Aq dyoung@NetBSD.org .
.Sh BUGS
.Pp
Synchronizing with the hardware and reading frames from it is very
CPU-intensive.
.Pp
.Nm
will not detect the capture board if it is not attached to an active
video source.
To force
.Nx
to detect the capture board at any time, re-scan the ISA bus using,
e.g.,
.Ic drvctl Fl r Ar isa0 .
